package events;

import board.IBoard;
import objects.Immovable;

public class Block extends RandomEvent {
    @Override
    public void act(IBoard b) {
        int x = random.nextInt(b.getWidth());
        b.drop(x, new Immovable());
    }

    @Override
    public String announcement() {
        return "An immovable object was placed.";
    }
}
